﻿Библиотека нейронных сетей
Легковесная и модульная библиотека для создания, обучения и тестирования нейронных сетей с использованием CuPy для ускорения вычислений на GPU. Библиотека поддерживает широкий спектр слоев, функций активации, функций потерь и оптимизаторов, что делает ее подходящей как для базовых задач классификации, так и для сложных задач, таких как детекция объектов с использованием функции потерь YOLOLoss.
Основные возможности

Ускорение на GPU: Использует CuPy для высокопроизводительных вычислений на NVIDIA GPU.
Гибкая архитектура: Модульная структура позволяет легко добавлять пользовательские слои, функции активации и функции потерь.
Поддержка различных типов слоев:
Полносвязные слои (DenseLayer)
Сверточные слои (Conv2D)
Слои нормализации (BatchNorm2D)
Слои пулинга (AveragePooling2D, MaxPooling2D)
Слой преобразования (Flatten)


Функции активации:
ReLU, LeakyReLU, SReLU, SiLU, Sigmoid, Tanh, Softmax


Функции потерь:
Mean Squared Error, Cross Entropy Loss, Hinge Loss


Оптимизаторы:
Adam, RMSProp, AdaGrad, AdaDelta, SGD


Простота интеграции: Легко интегрируется в проекты благодаря модульной структуре и минимальным зависимостям.

Убедитесь, что у вас установлена подходящая версия CuPy, совместимая с вашей версией CUDA.

